Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
Class FactorySupport

    java.lang.Object
      groovy.xml.FactorySupport

    public class FactorySupport

extends Object

Support class for creating XML Factories

Constructor Summary
`FactorySupport()`

Method Summary
`static DocumentBuilderFactory` | `createDocumentBuilderFactory()`
`static SAXParserFactory` | `createSaxParserFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactorySupport

    public FactorySupport()

Method Detail

### createDocumentBuilderFactory

    public static DocumentBuilderFactory createDocumentBuilderFactory()
                                                               throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### createSaxParserFactory

    public static SAXParserFactory createSaxParserFactory()
                                                   throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD